JaxbReturnPropertyElement (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbReturnPropertyElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbReturnPropertyElement

    public class JaxbReturnPropertyElement

extends Object

Java class for return-property-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="return-property-element">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="return-column" maxOccurs="unbounded" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
           <attribute name="column" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static class` | `JaxbReturnPropertyElement.JaxbReturnColumn` Java class for anonymous complex type.

Field Summary
`protected String` | `column`
`protected String` | `name`
`protected List<JaxbReturnPropertyElement.JaxbReturnColumn>` | `returnColumn`

Constructor Summary
`JaxbReturnPropertyElement()`

Method Summary
`String` | `getColumn()` Gets the value of the column property.
`String` | `getName()` Gets the value of the name property.
`List<JaxbReturnPropertyElement.JaxbReturnColumn>` | `getReturnColumn()` Gets the value of the returnColumn property.
`void` | `setColumn(String value)` Sets the value of the column property.
`void` | `setName(String value)` Sets the value of the name property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### returnColumn

    protected List<JaxbReturnPropertyElement.JaxbReturnColumn> returnColumn

### column

    protected String column

### name

    protected String name

Constructor Detail

### JaxbReturnPropertyElement

    public JaxbReturnPropertyElement()

Method Detail

### getReturnColumn

    public List<JaxbReturnPropertyElement.JaxbReturnColumn> getReturnColumn()

  Gets the value of the returnColumn property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the returnColumn property.

  For example, to add a new item, do as follows:

          getReturnColumn().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbReturnPropertyElement.JaxbReturnColumn`

### getColumn

    public String getColumn()

  Gets the value of the column property.

  Returns:
    possible object is `String`

### setColumn

    public void setColumn(String value)

  Sets the value of the column property.

  Parameters:
    `value` - allowed object is `String`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.